JUCE: AudioDeviceManager::AudioDeviceSetup Struct Reference

JUCE

Public Member Functions | Public Attributes | List of all members
AudioDeviceManager::AudioDeviceSetup Struct Reference
juce_audio_devices » audio_io

This structure holds a set of properties describing the current audio setup. More...

`#include <juce_AudioDeviceManager.h>`

## Public Member Functions
bool | operator== (const AudioDeviceSetup &) const
bool | operator!= (const AudioDeviceSetup &) const

## Public Attributes
String | outputDeviceName
| The name of the audio device used for output. More...
String | inputDeviceName
| The name of the audio device used for input. More...
double | sampleRate = 0
| The current sample rate. More...
int | bufferSize = 0
| The buffer size, in samples. More...
BigInteger | inputChannels
| The set of active input channels. More...
bool | useDefaultInputChannels = true
| If this is true, it indicates that the inputChannels array should be ignored, and instead, the device's default channels should be used. More...
BigInteger | outputChannels
| The set of active output channels. More...
bool | useDefaultOutputChannels = true
| If this is true, it indicates that the outputChannels array should be ignored, and instead, the device's default channels should be used. More...

## Detailed Description

This structure holds a set of properties describing the current audio setup.

An AudioDeviceManager uses this class to save/load its current settings, and to specify your preferred options when opening a device.

See also
  AudioDeviceManager::setAudioDeviceSetup(), AudioDeviceManager::initialise()

## Member Function Documentation

## ◆ operator==()

bool AudioDeviceManager::AudioDeviceSetup::operator== | ( | const AudioDeviceSetup & |  | ) | const

## ◆ operator!=()

bool AudioDeviceManager::AudioDeviceSetup::operator!= | ( | const AudioDeviceSetup & |  | ) | const

## Member Data Documentation

## ◆ outputDeviceName

String AudioDeviceManager::AudioDeviceSetup::outputDeviceName

The name of the audio device used for output.

The name has to be one of the ones listed by the AudioDeviceManager's currently selected device type. This may be the same as the input device.

## ◆ inputDeviceName

String AudioDeviceManager::AudioDeviceSetup::inputDeviceName

The name of the audio device used for input.

This may be the same as the output device.

## ◆ sampleRate

double AudioDeviceManager::AudioDeviceSetup::sampleRate = 0

The current sample rate.

This rate is used for both the input and output devices. A value of 0 indicates that you don't care what rate is used, and the device will choose a sensible rate for you.

## ◆ bufferSize

int AudioDeviceManager::AudioDeviceSetup::bufferSize = 0

The buffer size, in samples.

This buffer size is used for both the input and output devices. A value of 0 indicates the default buffer size.

## ◆ inputChannels

BigInteger AudioDeviceManager::AudioDeviceSetup::inputChannels

The set of active input channels.

The bits that are set in this array indicate the channels of the input device that are active. If useDefaultInputChannels is true, this value is ignored.

## ◆ useDefaultInputChannels

bool AudioDeviceManager::AudioDeviceSetup::useDefaultInputChannels = true

If this is true, it indicates that the inputChannels array should be ignored, and instead, the device's default channels should be used.

## ◆ outputChannels

BigInteger AudioDeviceManager::AudioDeviceSetup::outputChannels

The set of active output channels.

The bits that are set in this array indicate the channels of the input device that are active. If useDefaultOutputChannels is true, this value is ignored.

## ◆ useDefaultOutputChannels

bool AudioDeviceManager::AudioDeviceSetup::useDefaultOutputChannels = true

If this is true, it indicates that the outputChannels array should be ignored, and instead, the device's default channels should be used.

The documentation for this struct was generated from the following file:

- juce_AudioDeviceManager.h